Package org.eclipse.birt.report.model.api.command

# Class ExtendsEvent

java.lang.Object
org.eclipse.birt.report.model.api.activity.NotificationEvent
org.eclipse.birt.report.model.api.command.ExtendsEvent

public class ExtendsEvent extends NotificationEvent
Indicates that the extends attribute of an element changed.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.activity.NotificationEvent

`ATTRIBUTE_EVENT, CONTAINER, CONTENT_EVENT, CONTENT_REPLACE_EVENT, CONTENTS, CSS_EVENT, CSS_RELOADED_EVENT, CUSTOM_MSG_EVENT, DATA_DESIGN_RELOADED_EVENT, DATA_MART_PROPERTY_EVENT, deliveryPath, DESCENDENT, DIRECT, DISPOSE_EVENT, ELEMENT_CLIENT, ELEMENT_DELETE_EVENT, ELEMENT_LOCALIZE_EVENT, ENCRYPTION_EVENT, EXTENDS_EVENT, EXTENSION_PROPERTY_DEFINITION_EVENT, LAYOUT_CHANGED_EVENT, LIBRARY_CHANGE_EVENT, LIBRARY_EVENT, LIBRARY_RELOADED_EVENT, NAME_EVENT, NAME_SPACE_EVENT, PROPERTY_EVENT, sender, STRUCTURE_CLIENT, STYLE_CLIENT, STYLE_EVENT, target, TEMPLATE_TRANSFORM_EVENT, THEME_EVENT, USER_PROP_EVENT, VALIDATION_EVENT, VIEWS_CONTENT_EVENT`

## Constructor Summary

Constructors
Constructor
Description
`ExtendsEvent(org.eclipse.birt.report.model.core.DesignElement obj)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`int`
`getEventType()`
Returns the event type.

### Methods inherited from class org.eclipse.birt.report.model.api.activity.NotificationEvent

`getDeliveryPath, getSender, getTarget, isSame, setDeliveryPath, setSender, setTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExtendsEvent

public ExtendsEvent(org.eclipse.birt.report.model.core.DesignElement obj)
Constructor.

Parameters:
  `obj` - the element that changed.

## Method Details

### getEventType

public int getEventType()
Description copied from class: `NotificationEvent`
Returns the event type. The following event types are defined:

- CONTENT_EVENT
- ELEMENT_DELETE_EVENT
- EXTENDS_EVENT
- NAME_EVENT
- NAME_SPACE_EVENT
- PROPERTY_EVENT
- STYLE_EVENT
- USER_PROP_EVENT
- CUSTOM_MSG_EVENT
- EXTENSION_PROPERTY_DEFINITION_EVENT
- NOTIFICATION_EVENT
- VALIDATION_EVENT
- LIBRARY_EVENT
- ATTRIBUTE_EVENT
- DISPOSE_EVENT
- CONTENT_REPLACE_EVENT
- TEMPLATE_TRANSFORM_EVENT

Specified by:
  `getEventType` in class `NotificationEvent`
Returns:
  the event type.